Как мне установить последнюю версию mongodb-clients в Ubuntu, используя apt-get?

apt-get install mongodb-clients устанавливает только версию 2.4.9.

14
Alexander Zeitler 1 Сен 2017 в 10:20

5 ответов

Лучший ответ

На Ubuntu 16.04 получить клиент 4.2 mongo

wget -qO - https://www.mongodb.org/static/pgp/server-4.2.asc | sudo apt-key add -
echo "deb [ arch=amd64 ] https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/4.2 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-4.2.list

sudo apt-get update
sudo apt-get install mongodb-org-shell
26
mooreds 30 Апр 2020 в 20:19

Для mongodb 3.2 поддерживаются следующие пакеты. Чтобы использовать оболочку mongo, вам необходимо установить оболочку mongo-org. Выберите правильный пакет в соответствии с вашими требованиями.

установить mongodb в ubuntu

enter image description here

3
user3761116 10 Апр 2018 в 06:55

Используйте официальные документы MongoDB, в которых уже упоминалось, как установить выбранную вами версию. Действия по установке для Ubuntu 12.04 и 14.04

Для Ubuntu 16.04 используйте этот

ПРИМЕЧАНИЕ. - . До этого имейте в виду, что у вас нет файла репозитория для MongoDB. Вы можете проверить, используя sudo apt-get update. Во время обновления он покажет, есть ли у вас. Если вы удалили его, используя sudo rm /etc/apt/sources.list.d/mongodb*.list, а затем установите MongoDB

3
Vineet Jain 1 Сен 2017 в 13:01

Можно установить оболочку mongodb в Ubuntu 18.04, следуя этим инструкциям или с помощью Ansible, например Ansible Galaxy.

На момент написания данной роли установлена версия 4.2.5 оболочки mongo:

user@some-host:~/some-dir$ mongo --version
MongoDB shell version v4.2.5
git version: x
OpenSSL version: OpenSSL y
allocator: z
modules: none
build environment:
    distmod: ubuntu1804
    distarch: x86_64
    target_arch: x86_64
0
030 12 Апр 2020 в 16:17

20.04 focal еще не настроен, но вы можете успешно использовать инструкции для bionic (18.04). Я сделал! Ray .

0
Ray 20 Май 2020 в 09:58